%define anolis_release 2
%global _hardened_build 1


Name:               fcoe-utils
Version:            1.0.34
Release: %{anolis_release}%{dist}
Summary:            Fibre Channel over Ethernet utilities
License:            GPLv2
URL:                http://www.open-fcoe.org
Source0:            https://github.com/openSUSE/fcoe-utils/archive/%{name}-%{version}.tar.gz
BuildRequires:      autoconf
BuildRequires:      automake
BuildRequires:      libtool
BuildRequires:      libpciaccess-devel
BuildRequires:      lldpad-devel >= 0.9.43
BuildRequires:      systemd
BuildRequires:      make
Requires:           lldpad >= 0.9.43
Requires:           iproute
Requires:           device-mapper-multipath
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

Patch1: 0001-fix-uninitialized-pointer.patch

%description
Fibre Channel over Ethernet utilities
fcoeadm - command line tool for configuring FCoE interfaces
fcoemon - service to configure DCB Ethernet QOS filters, works with lldpad

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n fcoe-utils-%{version}
sed -i 's/^\(SUPPORTED_DRIVERS\)=".*"$/\1="bnx2fc qedf"/' etc/config
sed -i 's/^\(DCB_REQUIRED\)=".*"$/\1="no"/' etc/cfg-ethx

%build
./bootstrap.sh
%configure --with-systemdsystemunitdir=%{_unitdir}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} 
rm -rf %{buildroot}/etc/init.d
mkdir -p %{buildroot}%{_libexecdir}/fcoe
for file in \
    contrib/*.sh \
    debug/*sh
    do install -m 755 ${file} %{buildroot}%{_libexecdir}/fcoe/
done

%generate_compatibility_deps

%post
%systemd_post fcoe.service fcoemon.socket

%preun
%systemd_preun fcoe.service fcoemon.socket

%postun
%systemd_postun_with_restart fcoe.service fcoemon.socket

%files
%doc COPYING
%{_sbindir}/*
%{abidir}/*-option.list
%{_mandir}/man8/*
%{_unitdir}/fcoe.service
%{_unitdir}/fcoemon.socket
%{_sysconfdir}/fcoe/
%config(noreplace) %{_sysconfdir}/fcoe/cfg-ethx
%config(noreplace) %{_sysconfdir}/fcoe/config
%{_datadir}/bash-completion/completions/*
%{_libexecdir}/fcoe/

%files doc
%doc README QUICKSTART

%changelog 
* Fri Oct 28 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.34-2
- optimise spec file & add doc package

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 1.0.34-1
- Init package from upstream v1.0.34
